# https://www.mpscholten.de/nixos/2016/07/07/private-github-repositories-and-nixos.html
# https://nixos.org/wiki/FAQ#How_do_I_know_the_sha256_to_use_with_fetchgit.3F

with import <nixpkgs> {};

stdenv.mkDerivation rec {
  version="v6";
  name = "sandbox-blog-${version}";

  # liste des fonction de récup : fetch*  https://github.com/NixOS/nixpkgs/tree/master/pkgs/build-support
  src = fetchgit {
    #url = "https://github.com/Adagio-cantabile/Adagio-cantabile.github.io.git";
    #sha256 = "0ck3g7g9l8vj0vzdmxp2rjzblh2nklmxx8yyyhsrgibpimi2kppp";

    # CV
    ## resumecard 
    #url = "https://github.com/ddbullfrog/resumecard.git";
    #sha256 = "14m9xjspkszpv5iapq35cqn2b8j9zvqwvsmh0aai7vxkplbp6fkv";

    ## vitae -- marche pas (rend mal sur navigateur)
    #url = "https://github.com/biomadeira/vitae.git";
    #sha256 = "1k9qn57x52lnan58br928saa0hm85jzhydz1crzrv9lb3r0rcxda";
    
    ## Jekyll CV Crafter
    url = "https://github.com/streetturtle/jekyll-cv-crafter.git";
    sha256 = "0fphksbfif11q55n8gl2ni0zhdf29swh4jb8p7xn6db35073aq0r";

    ##
    #url = "https://github.com/jglovier/resume-template.git";
    #sha256 = "1snvgkisrxp4xiv2gmkic5nszzmgn1abgka423g6zj39nsinbgl6";

    # jekyll diaporama (façon powerpoint)
    #url = "https://github.com/shower/jekyller.git";
    #sha256 = "08432pfmmcqp5hbl3fn45xbnnd9k4w8rlslxafjfxy4p9b6xg9ws";
    
    #
    #url = "https://github.com/niklasbuschmann/contrast.git";
    #sha256 = "0p9z46ivapwycvqh85i23gi41i05qqi9p9khrrk9zcn38vrlbayr";

    ##### En erreur
    
    # blog
    #url = "https://github.com/niklasbuschmann/contrast.git";
    #sha256 = "0p9z46ivapwycvqh85i23gi41i05qqi9p9khrrk9zcn38vrlbayr";
    
    # CV - problème de thème
    #url = "https://github.com/ellekasai/resumecards.git";
    #sha256 = "0h3qwilr9yh4znqd1xb9mdffqk005s4mmwwvpg573pb3jdy202jp";
    
    # blog - erreur à l'install
    #url = "https://github.com/biomadeira/sustain.git";
    #sha256 = "0qrh93gxnzra1q4pkqq5i787v7h2nkrm1sqx6yynpyl5mbcv1mh6";
   

    # jekyll deck.js  - config à corriger
    #url = "https://github.com/skeeto/jekyll-deck.git";
    #sha256 = "04ip8kg4y70zv94c1d180502ymm0pz2xgjn0kp9a3q057v0hz20r";


    # Jekyll Clean - marche pas, dépendance sur jekyll-paginate
    #url = "https://github.com/scotte/jekyll-clean.git";
    #sha256 = "1qqd7n7klww6nq9927c7rsrb9vx2774yjg1jqmq7aykb9xkh4179";

  };
  buildInputs = [ jekyll ];
  buildPhase = "jekyll build";
  installPhase = "cp -R _site \$out";

  meta = with stdenv.lib; {
    maintainers = [ "Jean-Pierre PRUNARET <jean-pierre+git@prunetwork.fr>" ];
    platforms = platforms.linux;
  };
}
